Description

This version requires you to get a separate race extender for Starbound 1.0 If you don't the Aryan race won't show up. Goes in \Starbound\mods

Preview
Aryan_prototype_v0.8_4b ![Race Extender required]!
Comments
esteban9417
esteban9417

Many thanks for bringing this classic back to life

Reply Good karma Bad karma+1 vote
Post a comment
Sign in or join with:

Only registered members can share their thoughts. So come on! Join the community today (totally free - or sign in with your social account on the right) and join in the conversation.